Bug 102838 - Update port: devel/geany Update to 0.8
Summary: Update port: devel/geany Update to 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-04 02:10 UTC by Sticky Bit
Modified: 2006-10-08 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (981 bytes, patch)
2006-09-04 02:10 UTC, Sticky Bit
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sticky Bit 2006-09-04 02:10:19 UTC
update devel/geany to 0.8
Comment 1 Edwin Groothuis freebsd_committer 2006-09-04 02:10:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Sticky Bit 2006-09-21 23:28:22 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Small change: Move geany from /usr/X11R6 to /usr/local in preparation for future switch to modular X11R7.1 (xorg) builds.

Port maintainer (MrL0Lz@gmail.com) is cc'd.

Fix:

diff -ruN /usr/ports/devel/geany_old/Makefile /usr/ports/devel/geany/Makefile
- --- /usr/ports/devel/geany_old/Makefile    Thu Aug 31 22:20:46 2006
+++ /usr/ports/devel/geany/Makefile    Thu Sep 21 23:39:26 2006
@@ -6,7 +6,7 @@
 #

 PORTNAME=    geany
- -PORTVERSION=    0.7.1
+PORTVERSION=    0.8
 CATEGORIES=    devel
 MASTER_SITES=    ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=    ${PORTNAME}
@@ -14,7 +14,7 @@
 MAINTAINER=    MrL0Lz@gmail.com
 COMMENT=    A fast and lightweight GTK+ IDE

- -USE_X_PREFIX=    yes
+USE_X_PREFIX=    no
 USE_BZIP2=    yes
 GNU_CONFIGURE=    yes
 USE_GNOME=    gtk20

diff -ruN /usr/ports/devel/geany_old/distinfo /usr/ports/devel/geany/distinfo
- --- /usr/ports/devel/geany_old/distinfo    Thu Aug 31 22:20:46 2006
+++ /usr/ports/devel/geany/distinfo    Thu Sep 21 23:42:11 2006
@@ -1,3 +1,3 @@
- -MD5 (geany-0.7.1.tar.bz2) = bc6b93011b75b7a5256c164761141fb3
- -SHA256 (geany-0.7.1.tar.bz2) = 0d9004578f4da4bb1b6211c8ada892a409cb1b13ce558fd78803b0b63748a0c9
- -SIZE (geany-0.7.1.tar.bz2) = 1061842
+MD5 (geany-0.8.tar.bz2) = adffe7b71983f897eec449d50312f2c8
+SHA256 (geany-0.8.tar.bz2) = cd59bb331a9b2a96c14ad65a65962933cbe7c55696704dbbb6cd6eed303ee492
+SIZE (geany-0.8.tar.bz2) = 1272308
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (FreeBSD)

iD8DBQFFExIGV3O5qMs3gsERCj9NAKCY5OMEmPLKzN5gReMM/laGU77ztACgtQ9Z
AbTVIElN3pL+JE0IMP8NUMU=
=qELW
-----END PGP SIGNATURE-----
Comment 3 Sticky Bit 2006-09-22 00:06:49 UTC
Sorry, it looks like gpg has mangled the fix.

Again without signature ...

Fix:

diff -ruN /usr/ports/devel/geany_old/Makefile /usr/ports/devel/geany/Makefile
--- /usr/ports/devel/geany_old/Makefile    Thu Aug 31 22:20:46 2006
+++ /usr/ports/devel/geany/Makefile    Thu Sep 21 23:39:26 2006
@@ -6,7 +6,7 @@
 #

 PORTNAME=    geany
-PORTVERSION=    0.7.1
+PORTVERSION=    0.8
 CATEGORIES=    devel
 MASTER_SITES=    ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=    ${PORTNAME}
@@ -14,7 +14,7 @@
 MAINTAINER=    MrL0Lz@gmail.com
 COMMENT=    A fast and lightweight GTK+ IDE

-USE_X_PREFIX=    yes
+USE_X_PREFIX=    no
 USE_BZIP2=    yes
 GNU_CONFIGURE=    yes
 USE_GNOME=    gtk20

diff -ruN /usr/ports/devel/geany_old/distinfo /usr/ports/devel/geany/distinfo
--- /usr/ports/devel/geany_old/distinfo    Thu Aug 31 22:20:46 2006
+++ /usr/ports/devel/geany/distinfo    Thu Sep 21 23:42:11 2006
@@ -1,3 +1,3 @@
-MD5 (geany-0.7.1.tar.bz2) = bc6b93011b75b7a5256c164761141fb3
-SHA256 (geany-0.7.1.tar.bz2) = 0d9004578f4da4bb1b6211c8ada892a409cb1b13ce558fd78803b0b63748a0c9
-SIZE (geany-0.7.1.tar.bz2) = 1061842
+MD5 (geany-0.8.tar.bz2) = adffe7b71983f897eec449d50312f2c8
+SHA256 (geany-0.8.tar.bz2) = cd59bb331a9b2a96c14ad65a65962933cbe7c55696704dbbb6cd6eed303ee492
+SIZE (geany-0.8.tar.bz2) = 1272308
Comment 4 rlang 2006-09-22 01:14:36 UTC
Changes look good to me, go ahead and commit.

 

Thanks sticky!
Comment 5 Cheng-Lung Sung freebsd_committer 2006-09-28 08:51:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 6 mneuma2s 2006-09-28 21:12:41 UTC
Did the update at the same time.
Also updated the plist and made WITHOUT_NLS somewhat useable again

Fix:

diff -ur geany.orig/Makefile geany/Makefile
--- geany.orig/Makefile	Thu Sep 28 02:06:31 2006
+++ geany/Makefile	Thu Sep 28 21:35:21 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	geany
-PORTVERSION=	0.7.1
+PORTVERSION=	0.8
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -14,7 +14,7 @@
 MAINTAINER=	MrL0Lz@gmail.com
 COMMENT=	A fast and lightweight GTK+ IDE
 
-USE_X_PREFIX=	yes
+USE_X_PREFIX=	no
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_GNOME=	gtk20
@@ -22,6 +22,8 @@
 
 OPTIONS=	VTE "With vte" On
 
+MAN1=	geany.1
+
 .include <bsd.port.pre.mk>
 
 .if !defined(WITHOUT_NLS)
@@ -43,6 +45,9 @@
 	@${REINPLACE_CMD} -e 's|gcc|${CC} ${CFLAGS}|' ${WRKSRC}/scintilla/Makefile.in
 .if defined(NOPORTDOCS)
 	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|doc||' ${WRKSRC}/Makefile.in
+.endif
+.if defined(WITHOUT_NLS)
+	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|po||' ${WRKSRC}/Makefile.in
 .endif
 
 post-install:
diff -ur geany.orig/distinfo geany/distinfo
--- geany.orig/distinfo	Thu Sep 28 02:06:31 2006
+++ geany/distinfo	Thu Sep 28 02:08:20 2006
@@ -1,3 +1,3 @@
-MD5 (geany-0.7.1.tar.bz2) = bc6b93011b75b7a5256c164761141fb3
-SHA256 (geany-0.7.1.tar.bz2) = 0d9004578f4da4bb1b6211c8ada892a409cb1b13ce558fd78803b0b63748a0c9
-SIZE (geany-0.7.1.tar.bz2) = 1061842
+MD5 (geany-0.8.tar.bz2) = adffe7b71983f897eec449d50312f2c8
+SHA256 (geany-0.8.tar.bz2) = cd59bb331a9b2a96c14ad65a65962933cbe7c55696704dbbb6cd6eed303ee492
+SIZE (geany-0.8.tar.bz2) = 1272308
diff -ur geany.orig/pkg-plist geany/pkg-plist
--- geany.orig/pkg-plist	Thu Sep 28 02:06:31 2006
+++ geany/pkg-plist	Thu Sep 28 21:17:11 2006
@@ -2,8 +2,10 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_interface.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_toolbar.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images
@@ -29,6 +31,10 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s07.html
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s08.html
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s09.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch03s10.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04s02.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04s03.html
 %%PORTDOCS%%%%DOCSDIR%%/html/index.html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/html
 %%PORTDOCS%%%%DOCSDIR%%/manual.txt
@@ -46,11 +52,17 @@
 %%NLS%%share/locale/be/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/geany.mo
 share/applications/geany.desktop
+share/pixmaps/geany.ico
 share/pixmaps/geany.png
 @dirrmtry share/applications
 %%DATADIR%%/global.tags
+%%DATADIR%%/html_entities.tags
+%%DATADIR%%/latex.tags
+%%DATADIR%%/php.tags
 %%DATADIR%%/GPL-2
+%%DATADIR%%/filetype_extensions.conf
 %%DATADIR%%/filetypes.asm
 %%DATADIR%%/filetypes.c
 %%DATADIR%%/filetypes.caml
@@ -58,6 +70,7 @@
 %%DATADIR%%/filetypes.conf
 %%DATADIR%%/filetypes.cpp
 %%DATADIR%%/filetypes.css
+%%DATADIR%%/filetypes.d
 %%DATADIR%%/filetypes.docbook
 %%DATADIR%%/filetypes.java
 %%DATADIR%%/filetypes.latex
Comment 7 Sticky Bit 2006-09-30 12:34:06 UTC
- Update to 0.9, see changelog for detail:

http://geany.uvena.de/Documentation/ReleaseNotes

- move from X11BASE to LOCALBASE
- make portlint happy
- new fixed pkg-plist

Port maintainer (Remington Lang, MrL0Lz@gmail.com) is cc'd.

Fix:

diff -ruN --exclude=CVS /usr/ports/devel/geany.orig/Makefile /usr/ports/devel/geany/Makefile
--- /usr/ports/devel/geany.orig/Makefile	Sat Sep 30 10:03:43 2006
+++ /usr/ports/devel/geany/Makefile	Sat Sep 30 10:46:55 2006
@@ -6,7 +6,7 @@
 #

 PORTNAME=	geany
-PORTVERSION=	0.7.1
+PORTVERSION=	0.9
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -14,7 +14,7 @@
 MAINTAINER=	MrL0Lz@gmail.com
 COMMENT=	A fast and lightweight GTK+ IDE

-USE_X_PREFIX=	yes
+USE_X_PREFIX=	no
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_GNOME=	gtk20
@@ -22,6 +22,8 @@

 OPTIONS=	VTE "With vte" On

+MAN1=	geany.1
+
 .include <bsd.port.pre.mk>

 .if !defined(WITHOUT_NLS)
@@ -43,6 +45,9 @@
 	@${REINPLACE_CMD} -e 's|gcc|${CC} ${CFLAGS}|' ${WRKSRC}/scintilla/Makefile.in
 .if defined(NOPORTDOCS)
 	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|doc||' ${WRKSRC}/Makefile.in
+.endif
+.if defined(WITHOUT_NLS)
+	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|po||' ${WRKSRC}/Makefile.in
 .endif

 post-install:
diff -ruN --exclude=CVS /usr/ports/devel/geany.orig/distinfo /usr/ports/devel/geany/distinfo
--- /usr/ports/devel/geany.orig/distinfo	Sat Sep 30 10:03:43 2006
+++ /usr/ports/devel/geany/distinfo	Sat Sep 30 10:47:53 2006
@@ -1,3 +1,3 @@
-MD5 (geany-0.7.1.tar.bz2) = bc6b93011b75b7a5256c164761141fb3
-SHA256 (geany-0.7.1.tar.bz2) = 0d9004578f4da4bb1b6211c8ada892a409cb1b13ce558fd78803b0b63748a0c9
-SIZE (geany-0.7.1.tar.bz2) = 1061842
+MD5 (geany-0.9.tar.bz2) = 9b7732ebaecddd878c01f9e1d7705fa8
+SHA256 (geany-0.9.tar.bz2) = ece67034afdf5046e66391772463dc1227d262cc067e60250fa2b9cad72388d3
+SIZE (geany-0.9.tar.bz2) = 1375341
diff -ruN --exclude=CVS /usr/ports/devel/geany.orig/patch.diff /usr/ports/devel/geany/patch.diff
--- /usr/ports/devel/geany.orig/patch.diff	Thu Jan  1 01:00:00 1970
+++ /usr/ports/devel/geany/patch.diff	Sat Sep 30 13:15:38 2006
@@ -0,0 +1 @@
+===> Generating patch
diff -ruN --exclude=CVS /usr/ports/devel/geany.orig/pkg-plist /usr/ports/devel/geany/pkg-plist
--- /usr/ports/devel/geany.orig/pkg-plist	Sat Sep 30 10:03:43 2006
+++ /usr/ports/devel/geany/pkg-plist	Sat Sep 30 12:24:22 2006
@@ -1,13 +1,12 @@
 bin/geany
-%%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images
-%%PORTDOCS%%%%DOCSDIR%%/html/geany.css
+share/applications/geany.desktop
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
+%%PORTDOCS%%%%DOCSDIR%%/TODO
 %%PORTDOCS%%%%DOCSDIR%%/html/apa.html
 %%PORTDOCS%%%%DOCSDIR%%/html/apb.html
 %%PORTDOCS%%%%DOCSDIR%%/html/apbs02.html
@@ -29,28 +28,24 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s07.html
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s08.html
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s09.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch03s10.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04s02.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04s03.html
+%%PORTDOCS%%%%DOCSDIR%%/html/geany.css
+%%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_interface.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_toolbar.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/index.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
 %%PORTDOCS%%%%DOCSDIR%%/manual.txt
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/NEWS
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/TODO
-%%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%NLS%%share/locale/de/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/es/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/be/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
-share/applications/geany.desktop
-share/pixmaps/geany.png
-@dirrmtry share/applications
-%%DATADIR%%/global.tags
 %%DATADIR%%/GPL-2
+%%DATADIR%%/filetype_extensions.conf
 %%DATADIR%%/filetypes.asm
 %%DATADIR%%/filetypes.c
 %%DATADIR%%/filetypes.caml
@@ -58,7 +53,12 @@
 %%DATADIR%%/filetypes.conf
 %%DATADIR%%/filetypes.cpp
 %%DATADIR%%/filetypes.css
+%%DATADIR%%/filetypes.d
+%%DATADIR%%/filetypes.diff
 %%DATADIR%%/filetypes.docbook
+%%DATADIR%%/filetypes.ferite
+%%DATADIR%%/filetypes.fortran
+%%DATADIR%%/filetypes.html
 %%DATADIR%%/filetypes.java
 %%DATADIR%%/filetypes.latex
 %%DATADIR%%/filetypes.makefile
@@ -72,4 +72,37 @@
 %%DATADIR%%/filetypes.sql
 %%DATADIR%%/filetypes.tcl
 %%DATADIR%%/filetypes.xml
-@dirrmtry %%DATADIR%%
+%%DATADIR%%/global.tags
+%%DATADIR%%/html_entities.tags
+%%DATADIR%%/latex.tags
+%%DATADIR%%/pascal.tags
+%%DATADIR%%/php.tags
+%%NLS%%share/locale/be/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/de/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/es/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/geany.mo
+share/pixmaps/geany.ico
+share/pixmaps/geany.png
+@dirrm share/pixmaps
+@dirrm share/nls/en_US.US-ASCII
+@dirrm share/nls/POSIX
+@dirrm %%NLS%%share/locale/pl/LC_MESSAGES
+@dirrm %%NLS%%share/locale/pl
+@dirrm %%NLS%%share/locale/cs/LC_MESSAGES
+@dirrm %%NLS%%share/locale/cs
+@dirrm %%NLS%%share/locale/ca/LC_MESSAGES
+@dirrm %%NLS%%share/locale/ca
+@dirrm %%NLS%%share/locale/be/LC_MESSAGES
+@dirrm %%NLS%%share/locale/be
+@dirrm %%DATADIR%%
+@dirrm %%DOCSDIR%%/html/images
+@dirrm %%DOCSDIR%%/html
+@dirrm %%DOCSDIR%%
+@dirrm share/applications
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
Comment 8 Remington 2006-10-01 20:25:34 UTC
Looks good, thanks!


On Sat, 2006-09-30 at 13:34 +0200, Sticky Bit wrote:
> - Update to 0.9, see changelog for detail:
> 
> http://geany.uvena.de/Documentation/ReleaseNotes
> 
> - move from X11BASE to LOCALBASE
> - make portlint happy
> - new fixed pkg-plist
> 
> Port maintainer (Remington Lang, MrL0Lz@gmail.com) is cc'd.
> 
> Fix:
> 
> diff -ruN --exclude=CVS /usr/ports/devel/geany.orig/Makefile /usr/ports/devel/geany/Makefile
> --- /usr/ports/devel/geany.orig/Makefile	Sat Sep 30 10:03:43 2006
> +++ /usr/ports/devel/geany/Makefile	Sat Sep 30 10:46:55 2006
> @@ -6,7 +6,7 @@
>  #
> 
>  PORTNAME=	geany
> -PORTVERSION=	0.7.1
> +PORTVERSION=	0.9
>  CATEGORIES=	devel
>  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
>  MASTER_SITE_SUBDIR=	${PORTNAME}
> @@ -14,7 +14,7 @@
>  MAINTAINER=	MrL0Lz@gmail.com
>  COMMENT=	A fast and lightweight GTK+ IDE
> 
> -USE_X_PREFIX=	yes
> +USE_X_PREFIX=	no
>  USE_BZIP2=	yes
>  GNU_CONFIGURE=	yes
>  USE_GNOME=	gtk20
> @@ -22,6 +22,8 @@
> 
>  OPTIONS=	VTE "With vte" On
> 
> +MAN1=	geany.1
> +
>  .include <bsd.port.pre.mk>
> 
>  .if !defined(WITHOUT_NLS)
> @@ -43,6 +45,9 @@
>  	@${REINPLACE_CMD} -e 's|gcc|${CC} ${CFLAGS}|' ${WRKSRC}/scintilla/Makefile.in
>  .if defined(NOPORTDOCS)
>  	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|doc||' ${WRKSRC}/Makefile.in
> +.endif
> +.if defined(WITHOUT_NLS)
> +	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|po||' ${WRKSRC}/Makefile.in
>  .endif
> 
>  post-install:
> diff -ruN --exclude=CVS /usr/ports/devel/geany.orig/distinfo /usr/ports/devel/geany/distinfo
> --- /usr/ports/devel/geany.orig/distinfo	Sat Sep 30 10:03:43 2006
> +++ /usr/ports/devel/geany/distinfo	Sat Sep 30 10:47:53 2006
> @@ -1,3 +1,3 @@
> -MD5 (geany-0.7.1.tar.bz2) = bc6b93011b75b7a5256c164761141fb3
> -SHA256 (geany-0.7.1.tar.bz2) = 0d9004578f4da4bb1b6211c8ada892a409cb1b13ce558fd78803b0b63748a0c9
> -SIZE (geany-0.7.1.tar.bz2) = 1061842
> +MD5 (geany-0.9.tar.bz2) = 9b7732ebaecddd878c01f9e1d7705fa8
> +SHA256 (geany-0.9.tar.bz2) = ece67034afdf5046e66391772463dc1227d262cc067e60250fa2b9cad72388d3
> +SIZE (geany-0.9.tar.bz2) = 1375341
> diff -ruN --exclude=CVS /usr/ports/devel/geany.orig/patch.diff /usr/ports/devel/geany/patch.diff
> --- /usr/ports/devel/geany.orig/patch.diff	Thu Jan  1 01:00:00 1970
> +++ /usr/ports/devel/geany/patch.diff	Sat Sep 30 13:15:38 2006
> @@ -0,0 +1 @@
> +===> Generating patch
> diff -ruN --exclude=CVS /usr/ports/devel/geany.orig/pkg-plist /usr/ports/devel/geany/pkg-plist
> --- /usr/ports/devel/geany.orig/pkg-plist	Sat Sep 30 10:03:43 2006
> +++ /usr/ports/devel/geany/pkg-plist	Sat Sep 30 12:24:22 2006
> @@ -1,13 +1,12 @@
>  bin/geany
> -%%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
> -%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
> -%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
> -%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
> -%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
> -%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
> -%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
> -%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images
> -%%PORTDOCS%%%%DOCSDIR%%/html/geany.css
> +share/applications/geany.desktop
> +%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
> +%%PORTDOCS%%%%DOCSDIR%%/COPYING
> +%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
> +%%PORTDOCS%%%%DOCSDIR%%/NEWS
> +%%PORTDOCS%%%%DOCSDIR%%/README
> +%%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
> +%%PORTDOCS%%%%DOCSDIR%%/TODO
>  %%PORTDOCS%%%%DOCSDIR%%/html/apa.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/apb.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/apbs02.html
> @@ -29,28 +28,24 @@
>  %%PORTDOCS%%%%DOCSDIR%%/html/ch03s07.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/ch03s08.html
>  %%PORTDOCS%%%%DOCSDIR%%/html/ch03s09.html
> +%%PORTDOCS%%%%DOCSDIR%%/html/ch03s10.html
> +%%PORTDOCS%%%%DOCSDIR%%/html/ch04.html
> +%%PORTDOCS%%%%DOCSDIR%%/html/ch04s02.html
> +%%PORTDOCS%%%%DOCSDIR%%/html/ch04s03.html
> +%%PORTDOCS%%%%DOCSDIR%%/html/geany.css
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_interface.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_toolbar.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
>  %%PORTDOCS%%%%DOCSDIR%%/html/index.html
> -%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
>  %%PORTDOCS%%%%DOCSDIR%%/manual.txt
> -%%PORTDOCS%%%%DOCSDIR%%/README
> -%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
> -%%PORTDOCS%%%%DOCSDIR%%/NEWS
> -%%PORTDOCS%%%%DOCSDIR%%/COPYING
> -%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
> -%%PORTDOCS%%%%DOCSDIR%%/TODO
> -%%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
> -%%PORTDOCS%%@dirrm %%DOCSDIR%%
> -%%NLS%%share/locale/de/LC_MESSAGES/geany.mo
> -%%NLS%%share/locale/es/LC_MESSAGES/geany.mo
> -%%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
> -%%NLS%%share/locale/be/LC_MESSAGES/geany.mo
> -%%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
> -%%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
> -share/applications/geany.desktop
> -share/pixmaps/geany.png
> -@dirrmtry share/applications
> -%%DATADIR%%/global.tags
>  %%DATADIR%%/GPL-2
> +%%DATADIR%%/filetype_extensions.conf
>  %%DATADIR%%/filetypes.asm
>  %%DATADIR%%/filetypes.c
>  %%DATADIR%%/filetypes.caml
> @@ -58,7 +53,12 @@
>  %%DATADIR%%/filetypes.conf
>  %%DATADIR%%/filetypes.cpp
>  %%DATADIR%%/filetypes.css
> +%%DATADIR%%/filetypes.d
> +%%DATADIR%%/filetypes.diff
>  %%DATADIR%%/filetypes.docbook
> +%%DATADIR%%/filetypes.ferite
> +%%DATADIR%%/filetypes.fortran
> +%%DATADIR%%/filetypes.html
>  %%DATADIR%%/filetypes.java
>  %%DATADIR%%/filetypes.latex
>  %%DATADIR%%/filetypes.makefile
> @@ -72,4 +72,37 @@
>  %%DATADIR%%/filetypes.sql
>  %%DATADIR%%/filetypes.tcl
>  %%DATADIR%%/filetypes.xml
> -@dirrmtry %%DATADIR%%
> +%%DATADIR%%/global.tags
> +%%DATADIR%%/html_entities.tags
> +%%DATADIR%%/latex.tags
> +%%DATADIR%%/pascal.tags
> +%%DATADIR%%/php.tags
> +%%NLS%%share/locale/be/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/cs/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/de/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/es/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/nl/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/pt_BR/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
> +%%NLS%%share/locale/vi/LC_MESSAGES/geany.mo
> +share/pixmaps/geany.ico
> +share/pixmaps/geany.png
> +@dirrm share/pixmaps
> +@dirrm share/nls/en_US.US-ASCII
> +@dirrm share/nls/POSIX
> +@dirrm %%NLS%%share/locale/pl/LC_MESSAGES
> +@dirrm %%NLS%%share/locale/pl
> +@dirrm %%NLS%%share/locale/cs/LC_MESSAGES
> +@dirrm %%NLS%%share/locale/cs
> +@dirrm %%NLS%%share/locale/ca/LC_MESSAGES
> +@dirrm %%NLS%%share/locale/ca
> +@dirrm %%NLS%%share/locale/be/LC_MESSAGES
> +@dirrm %%NLS%%share/locale/be
> +@dirrm %%DATADIR%%
> +@dirrm %%DOCSDIR%%/html/images
> +@dirrm %%DOCSDIR%%/html
> +@dirrm %%DOCSDIR%%
> +@dirrm share/applications
> +%%PORTDOCS%%@dirrm %%DOCSDIR%%
>
Comment 9 Cheng-Lung Sung freebsd_committer 2006-10-02 09:10:34 UTC
Hi, 
    The patch works fine in 5.X/6.X, but failed in 4.x
    I've modified the patch, can you take a look at it? 

Thanks,

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/geany/Makefile,v
retrieving revision 1.2
diff -u -u -r1.2 Makefile
--- Makefile	31 Aug 2006 20:20:46 -0000	1.2
+++ Makefile	2 Oct 2006 08:07:59 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	geany
-PORTVERSION=	0.7.1
+PORTVERSION=	0.9
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -14,7 +14,7 @@
 MAINTAINER=	MrL0Lz@gmail.com
 COMMENT=	A fast and lightweight GTK+ IDE
 
-USE_X_PREFIX=	yes
+USE_X_PREFIX=	no
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_GNOME=	gtk20
@@ -22,6 +22,8 @@
 
 OPTIONS=	VTE "With vte" On
 
+MAN1=	geany.1
+
 .include <bsd.port.pre.mk>
 
 .if !defined(WITHOUT_NLS)
@@ -44,8 +46,15 @@
 .if defined(NOPORTDOCS)
 	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|doc||' ${WRKSRC}/Makefile.in
 .endif
+.if defined(WITHOUT_NLS)
+	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|po||' ${WRKSRC}/Makefile.in
+.endif
 
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/geany.desktop ${PREFIX}/share/applications
 
+.if ${OSVERSION} < 500036
+EXTRA_PATCHES+=	${PATCHDIR}/extra-*
+.endif
+
 .include <bsd.port.post.mk>
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/geany/distinfo,v
retrieving revision 1.2
diff -u -u -r1.2 distinfo
--- distinfo	31 Aug 2006 20:20:46 -0000	1.2
+++ distinfo	2 Oct 2006 08:07:59 -0000
@@ -1,3 +1,3 @@
-MD5 (geany-0.7.1.tar.bz2) = bc6b93011b75b7a5256c164761141fb3
-SHA256 (geany-0.7.1.tar.bz2) = 0d9004578f4da4bb1b6211c8ada892a409cb1b13ce558fd78803b0b63748a0c9
-SIZE (geany-0.7.1.tar.bz2) = 1061842
+MD5 (geany-0.9.tar.bz2) = 9b7732ebaecddd878c01f9e1d7705fa8
+SHA256 (geany-0.9.tar.bz2) = ece67034afdf5046e66391772463dc1227d262cc067e60250fa2b9cad72388d3
+SIZE (geany-0.9.tar.bz2) = 1375341
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/devel/geany/pkg-plist,v
retrieving revision 1.2
diff -u -u -r1.2 pkg-plist
--- pkg-plist	31 Aug 2006 20:20:46 -0000	1.2
+++ pkg-plist	2 Oct 2006 08:07:59 -0000
@@ -1,13 +1,12 @@
 bin/geany
-%%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images
-%%PORTDOCS%%%%DOCSDIR%%/html/geany.css
+share/applications/geany.desktop
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
+%%PORTDOCS%%%%DOCSDIR%%/TODO
 %%PORTDOCS%%%%DOCSDIR%%/html/apa.html
 %%PORTDOCS%%%%DOCSDIR%%/html/apb.html
 %%PORTDOCS%%%%DOCSDIR%%/html/apbs02.html
@@ -29,28 +28,24 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s07.html
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s08.html
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s09.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch03s10.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04s02.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04s03.html
+%%PORTDOCS%%%%DOCSDIR%%/html/geany.css
+%%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_interface.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_toolbar.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/index.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
 %%PORTDOCS%%%%DOCSDIR%%/manual.txt
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/NEWS
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/TODO
-%%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%NLS%%share/locale/de/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/es/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/be/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
-share/applications/geany.desktop
-share/pixmaps/geany.png
-@dirrmtry share/applications
-%%DATADIR%%/global.tags
 %%DATADIR%%/GPL-2
+%%DATADIR%%/filetype_extensions.conf
 %%DATADIR%%/filetypes.asm
 %%DATADIR%%/filetypes.c
 %%DATADIR%%/filetypes.caml
@@ -58,7 +53,12 @@
 %%DATADIR%%/filetypes.conf
 %%DATADIR%%/filetypes.cpp
 %%DATADIR%%/filetypes.css
+%%DATADIR%%/filetypes.d
+%%DATADIR%%/filetypes.diff
 %%DATADIR%%/filetypes.docbook
+%%DATADIR%%/filetypes.ferite
+%%DATADIR%%/filetypes.fortran
+%%DATADIR%%/filetypes.html
 %%DATADIR%%/filetypes.java
 %%DATADIR%%/filetypes.latex
 %%DATADIR%%/filetypes.makefile
@@ -72,4 +72,37 @@
 %%DATADIR%%/filetypes.sql
 %%DATADIR%%/filetypes.tcl
 %%DATADIR%%/filetypes.xml
-@dirrmtry %%DATADIR%%
+%%DATADIR%%/global.tags
+%%DATADIR%%/html_entities.tags
+%%DATADIR%%/latex.tags
+%%DATADIR%%/pascal.tags
+%%DATADIR%%/php.tags
+%%NLS%%share/locale/be/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/de/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/es/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/geany.mo
+share/pixmaps/geany.ico
+share/pixmaps/geany.png
+@dirrm share/pixmaps
+@dirrm share/nls/en_US.US-ASCII
+@dirrm share/nls/POSIX
+@dirrm %%NLS%%share/locale/pl/LC_MESSAGES
+@dirrm %%NLS%%share/locale/pl
+@dirrm %%NLS%%share/locale/cs/LC_MESSAGES
+@dirrm %%NLS%%share/locale/cs
+@dirrm %%NLS%%share/locale/ca/LC_MESSAGES
+@dirrm %%NLS%%share/locale/ca
+@dirrm %%NLS%%share/locale/be/LC_MESSAGES
+@dirrm %%NLS%%share/locale/be
+@dirrm %%DATADIR%%
+@dirrm %%DOCSDIR%%/html/images
+@dirrm %%DOCSDIR%%/html
+@dirrm %%DOCSDIR%%
+@dirrm share/applications
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
Index: files/extra-patch-src-socket.c
===================================================================
RCS file: files/extra-patch-src-socket.c
diff -N files/extra-patch-src-socket.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/extra-patch-src-socket.c	2 Oct 2006 08:07:59 -0000
@@ -0,0 +1,12 @@
+--- src/socket.c.orig	Wed Sep 27 00:29:44 2006
++++ src/socket.c	Mon Oct  2 15:40:39 2006
+@@ -26,6 +26,9 @@
+ #ifdef HAVE_SOCKET
+ 
+ #ifndef G_OS_WIN32
++# include <string.h>
++# include <sys/time.h>
++# include <sys/types.h>
+ # include <sys/socket.h>
+ # include <sys/un.h>
+ # include <netinet/in.h>
===> Done
On Sun, Oct 01, 2006 at 12:25:34PM -0700, Remington wrote:
> Looks good, thanks!
> 
> 


-- 
Cheng-Lung Sung - clsung@
Comment 10 mneuma2s 2006-10-04 14:54:40 UTC
Hi,

i modified the patch from Cheng-Lung Sung to use it without any problems here
on my system. The changes are in the plist only.

I removed "%%PORTDOCS%%@dirrm %%DOCSDIR%%" from the plist because it deletes
the same directory as "@dirrm %%DOCSDIR%%" and creates error messages when
uninstalling the port.
I also removed the share/locale/* directories because it's a bad idea to delete
them (Porter's Handbook 6.5.3).
share/nls/{POSIX,en_US.US-ASCII} seem to be created because they are missing and
not because geany needs them. I removed these directories too.
The last directories i removed are share/{applications,pixmaps} because geany
isn't the only port that uses these directories.


This version of the port works without any problems but i have problems with
geany itself. When i start geany with terminal-support it segfaults when i
close geany and when i try to open a file geany crashes with
/libexec/ld-elf.so.1: /usr/local/lib/libgthread-2.0.so.0: Undefined symbol "pthread_getschedparam"

Please have a look if geany itself or my system is broken.


Thanks



diff -Nur geany.orig/Makefile geany/Makefile
--- geany.orig/Makefile	Sun Oct  1 13:15:54 2006
+++ geany/Makefile	Wed Oct  4 14:33:34 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	geany
-PORTVERSION=	0.7.1
+PORTVERSION=	0.9
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -14,7 +14,7 @@
 MAINTAINER=	MrL0Lz@gmail.com
 COMMENT=	A fast and lightweight GTK+ IDE
 
-USE_X_PREFIX=	yes
+USE_X_PREFIX=	no
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_GNOME=	gtk20
@@ -22,6 +22,8 @@
 
 OPTIONS=	VTE "With vte" On
 
+MAN1=	geany.1
+
 .include <bsd.port.pre.mk>
 
 .if !defined(WITHOUT_NLS)
@@ -44,8 +46,15 @@
 .if defined(NOPORTDOCS)
 	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|doc||' ${WRKSRC}/Makefile.in
 .endif
+.if defined(WITHOUT_NLS)
+	@${REINPLACE_CMD} -e '/^SUBDIRS/ s|po||' ${WRKSRC}/Makefile.in
+.endif
 
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/geany.desktop ${PREFIX}/share/applications
+
+.if ${OSVERSION} < 500036
+EXTRA_PATCHES+=	${PATCHDIR}/extra-*
+.endif
 
 .include <bsd.port.post.mk>
diff -Nur geany.orig/distinfo geany/distinfo
--- geany.orig/distinfo	Sun Oct  1 13:15:54 2006
+++ geany/distinfo	Wed Oct  4 14:33:34 2006
@@ -1,3 +1,3 @@
-MD5 (geany-0.7.1.tar.bz2) = bc6b93011b75b7a5256c164761141fb3
-SHA256 (geany-0.7.1.tar.bz2) = 0d9004578f4da4bb1b6211c8ada892a409cb1b13ce558fd78803b0b63748a0c9
-SIZE (geany-0.7.1.tar.bz2) = 1061842
+MD5 (geany-0.9.tar.bz2) = 9b7732ebaecddd878c01f9e1d7705fa8
+SHA256 (geany-0.9.tar.bz2) = ece67034afdf5046e66391772463dc1227d262cc067e60250fa2b9cad72388d3
+SIZE (geany-0.9.tar.bz2) = 1375341
diff -Nur geany.orig/files/extra-patch-src-socket.c geany/files/extra-patch-src-socket.c
--- geany.orig/files/extra-patch-src-socket.c	Thu Jan  1 01:00:00 1970
+++ geany/files/extra-patch-src-socket.c	Wed Oct  4 14:33:34 2006
@@ -0,0 +1,12 @@
+--- src/socket.c.orig	Wed Sep 27 00:29:44 2006
++++ src/socket.c	Mon Oct  2 15:40:39 2006
+@@ -26,6 +26,9 @@
+ #ifdef HAVE_SOCKET
+ 
+ #ifndef G_OS_WIN32
++# include <string.h>
++# include <sys/time.h>
++# include <sys/types.h>
+ # include <sys/socket.h>
+ # include <sys/un.h>
+ # include <netinet/in.h>
diff -Nur geany.orig/pkg-plist geany/pkg-plist
--- geany.orig/pkg-plist	Sun Oct  1 13:15:54 2006
+++ geany/pkg-plist	Wed Oct  4 14:39:33 2006
@@ -1,13 +1,12 @@
 bin/geany
-%%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html/images
-%%PORTDOCS%%%%DOCSDIR%%/html/geany.css
+share/applications/geany.desktop
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
+%%PORTDOCS%%%%DOCSDIR%%/TODO
 %%PORTDOCS%%%%DOCSDIR%%/html/apa.html
 %%PORTDOCS%%%%DOCSDIR%%/html/apb.html
 %%PORTDOCS%%%%DOCSDIR%%/html/apbs02.html
@@ -29,28 +28,24 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s07.html
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s08.html
 %%PORTDOCS%%%%DOCSDIR%%/html/ch03s09.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch03s10.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04s02.html
+%%PORTDOCS%%%%DOCSDIR%%/html/ch04s03.html
+%%PORTDOCS%%%%DOCSDIR%%/html/geany.css
+%%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_interface.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_toolbar.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.jpg
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_vte.jpg
 %%PORTDOCS%%%%DOCSDIR%%/html/index.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
 %%PORTDOCS%%%%DOCSDIR%%/manual.txt
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/NEWS
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/TODO
-%%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-%%NLS%%share/locale/de/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/es/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/be/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
-%%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
-share/applications/geany.desktop
-share/pixmaps/geany.png
-@dirrmtry share/applications
-%%DATADIR%%/global.tags
 %%DATADIR%%/GPL-2
+%%DATADIR%%/filetype_extensions.conf
 %%DATADIR%%/filetypes.asm
 %%DATADIR%%/filetypes.c
 %%DATADIR%%/filetypes.caml
@@ -58,7 +53,12 @@
 %%DATADIR%%/filetypes.conf
 %%DATADIR%%/filetypes.cpp
 %%DATADIR%%/filetypes.css
+%%DATADIR%%/filetypes.d
+%%DATADIR%%/filetypes.diff
 %%DATADIR%%/filetypes.docbook
+%%DATADIR%%/filetypes.ferite
+%%DATADIR%%/filetypes.fortran
+%%DATADIR%%/filetypes.html
 %%DATADIR%%/filetypes.java
 %%DATADIR%%/filetypes.latex
 %%DATADIR%%/filetypes.makefile
@@ -72,4 +72,24 @@
 %%DATADIR%%/filetypes.sql
 %%DATADIR%%/filetypes.tcl
 %%DATADIR%%/filetypes.xml
-@dirrmtry %%DATADIR%%
+%%DATADIR%%/global.tags
+%%DATADIR%%/html_entities.tags
+%%DATADIR%%/latex.tags
+%%DATADIR%%/pascal.tags
+%%DATADIR%%/php.tags
+%%NLS%%share/locale/be/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/ca/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/de/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/es/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/geany.mo
+share/pixmaps/geany.ico
+share/pixmaps/geany.png
+@dirrm %%DATADIR%%
+@dirrm %%DOCSDIR%%/html/images
+@dirrm %%DOCSDIR%%/html
+@dirrm %%DOCSDIR%%
Comment 11 Sticky Bit 2006-10-04 16:13:29 UTC
- First: I am not able to test the port under 4.x.

Since FreeBSD 4.11 is now really near EOL (january 2007) and today
way too old I do not see why it should be further supported by
the ports tree.

If no one can - really - test it under 4.x I think the port
should be marked as ignore / broken on 4.x instead of trying
to fix and not test it.

And please be aware of ports freeze on 10 October 2006. Thanks!

- Second: I find generating pkg-plist a real pain in the ass.

I have followed all steps the handbook mentioned

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/plist-autoplist.html

and finally used

/usr/ports/Tools/scripts/plist -Md -m $(make -V MTREE_FILE) /var/tmp/$(make -V PORTNAME) > pkg-plist

All '@dirrm' ... are from the script. And one had to manually find
and replace lots of entries with things like %%DOCSDIR%% ...

If the script produces such a garbage and one cannot trust the results
it has to be fixed or replaced with a better solution.

Sorry I am very angry about that.

> When i start geany with terminal-support it segfaults when i
> close geany and when i try to open a file geany crashes with
> /libexec/ld-elf.so.1: /usr/local/lib/libgthread-2.0.so.0:
> Undefined symbol "pthread_getschedparam"

I do not have any of such problems with geany. No crash.
No segfault / core dump. Do not know if it helps you.
Comment 12 Cheng-Lung Sung freebsd_committer 2006-10-04 16:31:21 UTC
For the 'First' part:

    I can test it under 4.x
    http://tb.newzilla.org/logs/4-perl5005/geany-0.9.log

    And before EOL, if we can save it in 4.x, we should do that
    (However I admit IGNORE/BROKEN is also a good way :-))

    But the decision is left to you :)

I will check the 'Second' part after I have some sleep.

Regards,
    
On Wed, Oct 04, 2006 at 05:13:29PM +0200, Sticky Bit wrote:
> - First: I am not able to test the port under 4.x.
> 
> Since FreeBSD 4.11 is now really near EOL (january 2007) and today
> way too old I do not see why it should be further supported by
> the ports tree.
> 
> If no one can - really - test it under 4.x I think the port
> should be marked as ignore / broken on 4.x instead of trying
> to fix and not test it.
> 
> And please be aware of ports freeze on 10 October 2006. Thanks!
> 
> - Second: I find generating pkg-plist a real pain in the ass.
> 
> I have followed all steps the handbook mentioned
> 
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/plist-autoplist.html
> 
> and finally used
> 
> /usr/ports/Tools/scripts/plist -Md -m $(make -V MTREE_FILE) /var/tmp/$(make -V PORTNAME) > pkg-plist
> 
> All '@dirrm' ... are from the script. And one had to manually find
> and replace lots of entries with things like %%DOCSDIR%% ...
> 
> If the script produces such a garbage and one cannot trust the results
> it has to be fixed or replaced with a better solution.
> 
> Sorry I am very angry about that.
> 
> > When i start geany with terminal-support it segfaults when i
> > close geany and when i try to open a file geany crashes with
> > /libexec/ld-elf.so.1: /usr/local/lib/libgthread-2.0.so.0:
> > Undefined symbol "pthread_getschedparam"
> 
> I do not have any of such problems with geany. No crash.
> No segfault / core dump. Do not know if it helps you.
> 


-- 
Cheng-Lung Sung - clsung@
Comment 13 dfilter service freebsd_committer 2006-10-08 18:06:13 UTC
clsung      2006-10-08 17:06:06 UTC

  FreeBSD ports repository

  Modified files:
    devel/geany          Makefile distinfo pkg-plist 
  Added files:
    devel/geany/files    extra-patch-src-socket.c 
  Log:
  - Update to 0.9
  - move from X11BASE to LOCALBASE
  - make portlint happy
  - new fixed pkg-plist
  
  PR:             ports/102838
  Submitted by:   Stick Bit <stickybit_AT_gmx dot net>
  Approved by:    maintainer (Remington Lang)
  
  Revision  Changes    Path
  1.3       +11 -2     ports/devel/geany/Makefile
  1.3       +3 -3      ports/devel/geany/distinfo
  1.1       +12 -0     ports/devel/geany/files/extra-patch-src-socket.c (new)
  1.3       +51 -29    ports/devel/geany/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Cheng-Lung Sung freebsd_committer 2006-10-08 18:06:46 UTC
State Changed
From-To: feedback->closed

Committed with merged patch from submitter, maintainer. Thank you.